petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFunctionReturn

Last executable line of each PETSc function used for error handling. Replaces return()

### Synopsis

    #include <petscsys.h>
    void PetscFunctionReturn(0);

Not Collective Many br

### Usage

        ....
         PetscFunctionReturn(0);
       }

Many br

### Notes

Not available in Fortran Many br

Many br

### See Also

PetscFunctionBegin()

### Keywords

traceback, error handling

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex8.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/pc/examples/tutorials/ex2.c.html